pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 2

interface RegistryClient {
	function addressOf(bytes32) external view returns (address);
	function set(bytes32, address, bytes32, bytes32) external returns (bool);
	function identifiers(uint256) external view returns (bytes32);
}
